# -*- coding: utf-8 -*-
import sys
import os
import traceback
from maya import OpenMaya

def main():
	apiVer  = OpenMaya.MGlobal.apiVersion()
	mayaVer = OpenMaya.MGlobal.mayaVersion()
	mayaVer = mayaVer.split(' ')[0]
	dirname = os.path.dirname(__file__)
	package = os.path.join(
				dirname,
				'amaterasu',
				'package',
				'amaterasu_%s.zip' % mayaVer
				)
	
	if not os.getenv('AMATERASU_DEV'):
		if os.path.exists(package):
			sys.path.append(package)
		else:
			print '''
Amaterasu=======================================================================

Maya %s(API=%s) is not supported.

Please check the information from the following URL.
https://kiwamiden.com/

================================================================================

''' % (mayaVer, apiVer)
			return False
	
	if os.getenv('AMATERASU_BUILD'):
		sys.dont_write_bytecode = False
		
	try:
		import amaterasu
		amaterasu.main()
	
	except Exception as e:
		print '''
Amaterasu=======================================================================

Unexpected Error!!

Maya Version
Version=%s / API=%s

Package
%s

Traceback
%s

Exception
%s

Please contact us from the following URL.
https://kiwamiden.com/

================================================================================

''' % (		mayaVer,
			apiVer,
			package,
			''.join(traceback.format_tb(sys.exc_info()[2])),
			'\n'.join(e.args)
			)
		
		return False
